#!/usr/bin/perl -w
use strict;
use warnings;

my $infile1=$ARGV[0]; #asm new coordinate
my $infile2=$ARGV[1]; #asm old coordinate
my $outfile=$ARGV[2]; #a file for further ajusting

open (NEW, "$infile1") or die "\nERROR: Could not open $infile1\n";
open (OLD, "$infile2") or die "\nERROR: Could not open $infile2\n";
open (OUT, ">$outfile") or die "\nERROR: Could not open $outfile\n";

my (@cot,%asm_new,%asm_old);
while (<NEW>){
    if(/\d/){
    	my @tt=split(/\t/,$_);
      push @cot,$tt[0];
      $asm_new{$tt[0]}=[$tt[3],$tt[4],$tt[5]];
#      push @{$asm_new{$tt[0]}},[$tt[3],$tt[4],$tt[5]];
    }
}

while (<OLD>){
    if(/\d/){
    	my @tt=split(/\t/,$_);
      $asm_old{$tt[0]}=[$tt[3],$tt[4],$tt[5]];
#      push @{$asm_old{$tt[0]}},[$tt[3],$tt[4],$tt[5]];
    }
}

#my $N=@cot;
foreach my $c (@cot){
	my $d=${$asm_new{$c}}[1]-${$asm_old{$c}}[1];
	print OUT "${$asm_new{$c}}[0],$d,${$asm_old{$c}}[1],${$asm_old{$c}}[2]\n";
}

close (NEW) or die "\nERROR: Could not close $infile1\n";
close (OLD) or die "\nERROR: Could not close $infile2\n";
close (OUT) or die "\nERROR: Could not close $outfile\n";