ciTestp=function(cc,outfile){
#cc: the output of tssDis()
#tt: frequency of position
#dd: dataset of position

statistic=function(d,ind) mean(d[ind]);
OUT=file(outfile,'w');
Lp=length(cc$pos$p);
ci=c();

write("Results for chromosome 1 of forward strand:\n",OUT)
write("Position     Confidence Interval(0.95)    Difference",OUT);
for (i in 1:Lp){
  tt=cc$tss$p[i,];
  if(sum(tt!=0)==1) {tt[62]=1;}

  if(max(tt)<100000) {dd=rep(c(1:121),tt+rev(tt));}
  else  {dd=rep(c(1:121),(tt+rev(tt))/(2*max(tt)/100000));}
  
  ddb=boot(data = dd, statistic, R = 1000, sim = "ordinary");
  ci[[i]]=boot.ci(boot.out = ddb, conf = 0.95, type = "norm");
  write(c(format(as.character(cc$pos$p[i]),width=15),
  "(",format(ci[[i]]$norm[2:3]-61,digits=2,nsmall=3),")        ",
  format(ci[[i]]$norm[3]-ci[[i]]$norm[2],digits=2,nsmall=3)),OUT,6);
}

close(OUT);
ci;
}
